Update nextcoud guzzle 3rdparty library to version 6

Hello,

We’ve create a nextcloud apps for quering zendesk API.
We have tried to use Curl with integrated GuzzleHttp library, but zendesk API need a higher version than the one embedded in Nextcloud 12.

I already read this topic :


Here are zendesk preconisation :

Is there still no way to use a different version of GuzzleHttp in our apps ?
When do you think to upgrade this library in nextcloud core ?

Best regards and thanks again for all your dev.

Nextcloud version : 12.0.0
Operating system and version : Debian GNU/Linux 8.9 (jessie)
Apache or nginx version : Apache/2.4.10
PHP version : PHP 7.0.25-1

Ask here https://github.com/nextcloud/server/issues